CertificateFactorySpi
Date: 2016-06-24

java.security.cert

## Class CertificateFactorySpi

- java.lang.Object
- - java.security.cert.CertificateFactorySpi

-     public abstract class CertificateFactorySpi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertificateFactorySpi()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Certificate` | `engineGenerateCertificate(InputStream var0)`
    `abstract Collection` | `engineGenerateCertificates(InputStream var0)`
    `CertPath` | `engineGenerateCertPath(InputStream var0)`
    `CertPath` | `engineGenerateCertPath(InputStream var0, String var1)`
    `CertPath` | `engineGenerateCertPath(List var0)`
    `abstract CRL` | `engineGenerateCRL(InputStream var0)`
    `abstract Collection` | `engineGenerateCRLs(InputStream var0)`
    `Iterator` | `engineGetCertPathEncodings()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CertificateFactorySpi

          public CertificateFactorySpi()

  - ### Method Detail

    - #### engineGenerateCRL

          public abstract CRL engineGenerateCRL(InputStream var0)
                                         throws CRLException

      Throws:
        `CRLException`

    - #### engineGenerateCRLs

          public abstract Collection engineGenerateCRLs(InputStream var0)
                                                 throws CRLException

      Throws:
        `CRLException`

    - #### engineGenerateCertPath

          public CertPath engineGenerateCertPath(InputStream var0)
                                          throws CertificateException

      Throws:
        `CertificateException`

    - #### engineGenerateCertPath

          public CertPath engineGenerateCertPath(InputStream var0,
                                        String var1)
                                          throws CertificateException

      Throws:
        `CertificateException`

    - #### engineGenerateCertPath

          public CertPath engineGenerateCertPath(List var0)
                                          throws CertificateException

      Throws:
        `CertificateException`

    - #### engineGenerateCertificate

          public abstract Certificate engineGenerateCertificate(InputStream var0)
                                                         throws CertificateException

      Throws:
        `CertificateException`

    - #### engineGenerateCertificates

          public abstract Collection engineGenerateCertificates(InputStream var0)
                                                         throws CertificateException

      Throws:
        `CertificateException`

    - #### engineGetCertPathEncodings

          public Iterator engineGetCertPathEncodings()